# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/QueuesExtension/HgQueuesListGuardsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgQueuesListGuardsDialog(object):
    def setupUi(self, HgQueuesListGuardsDialog):
        HgQueuesListGuardsDialog.setObjectName("HgQueuesListGuardsDialog")
        HgQueuesListGuardsDialog.resize(400, 400)
        HgQueuesListGuardsDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgQueuesListGuardsDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=HgQueuesListGuardsDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.patchSelector = QtWidgets.QComboBox(parent=HgQueuesListGuardsDialog)
        self.patchSelector.setObjectName("patchSelector")
        self.verticalLayout.addWidget(self.patchSelector)
        self.line = QtWidgets.QFrame(parent=HgQueuesListGuardsDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_2 = QtWidgets.QLabel(parent=HgQueuesListGuardsDialog)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout.addWidget(self.label_2)
        self.patchNameLabel = QtWidgets.QLabel(parent=HgQueuesListGuardsDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.patchNameLabel.sizePolicy().hasHeightForWidth())
        self.patchNameLabel.setSizePolicy(sizePolicy)
        self.patchNameLabel.setText("")
        self.patchNameLabel.setObjectName("patchNameLabel")
        self.horizontalLayout.addWidget(self.patchNameLabel)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.guardsList = QtWidgets.QListWidget(parent=HgQueuesListGuardsDialog)
        self.guardsList.setAlternatingRowColors(True)
        self.guardsList.setObjectName("guardsList")
        self.verticalLayout.addWidget(self.guardsList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgQueuesListGuardsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgQueuesListGuardsDialog)
        self.buttonBox.accepted.connect(HgQueuesListGuardsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgQueuesListGuardsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgQueuesListGuardsDialog)
        HgQueuesListGuardsDialog.setTabOrder(self.patchSelector, self.guardsList)
        HgQueuesListGuardsDialog.setTabOrder(self.guardsList, self.buttonBox)

    def retranslateUi(self, HgQueuesListGuardsDialog):
        _translate = QtCore.QCoreApplication.translate
        HgQueuesListGuardsDialog.setWindowTitle(_translate("HgQueuesListGuardsDialog", "List Guards"))
        self.label.setText(_translate("HgQueuesListGuardsDialog", "Select patch (leave empty for current patch):"))
        self.patchSelector.setToolTip(_translate("HgQueuesListGuardsDialog", "Select the patch to show the guards of"))
        self.label_2.setText(_translate("HgQueuesListGuardsDialog", "Patch:"))
        self.patchNameLabel.setToolTip(_translate("HgQueuesListGuardsDialog", "Shows the name of the patch"))
        self.guardsList.setToolTip(_translate("HgQueuesListGuardsDialog", "This shows the list of guards defined for the selected patch"))
